Syndai Docs

Open a validation artifact

GET
/api/v1/external/coding/artifacts/{artifact_id}/open

Open a file a run's validation produced. mode is auto (the default), inline (the content in the response) or signed_url (a short-lived download link). Only artifacts of your own runs open. Requires the coding:runs:read scope.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

artifact_id*string
Formatuuid

Query Parameters

customer_id?|null
mode?string
Default"auto"

Response Body

Request fulfilled, document follows

application/json
  1. response
artifact_id*string
Formatuuid
content_size?integer|null
mime_type?string|null
open_mode*string
sha256?string|null
signed_url?string|null
signed_url_expires_at?string|null
state*string
text_content?string|null
title*string
Example Request
curl -X GET 'https://api.syndai.ai/api/v1/external/coding/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/open'
Example Response
{  "artifact_id": "b7bd6bbb-c7f1-4314-8742-2aeeeece9d12",  "content_size": 0,  "mime_type": "string",  "open_mode": "string",  "sha256": "string",  "signed_url": "string",  "signed_url_expires_at": "string",  "state": "string",  "text_content": "string",  "title": "string"}